Subject: ANNOUNCE: Data::Locations 5.2
From: Steffen Beyer <[email-masked]>
Date: 15 May 1999 19:57:26 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Unfortunately I found a nasty little bug in versions 5.0 and 5.1 of
my module "Data::Locations", wherefore I am announcing

                  =========================================
                    Package "Data::Locations" Version 5.2
                  =========================================

This package is available for download either from my web site at

                  http://www.engelschall.com/u/sb/download/

or from any CPAN (= "Comprehensive Perl Archive Network") mirror server:

                  http://www.perl.com/CPAN/authors/id/STBEY/

Prerequisites:
--------------

Perl version 5.004 (subversion 0) or higher.

What's new in version 5.2:
--------------------------

 +  Fixed a bug in method "read()" which prevented empty lines
    to be read back in list context (empty lines were mistaken
    for the end-of-file marker).
 +  When an item in a location has the value "undef", the method
    "read()" now returns the empty string instead. You would have
    mistaken this for the end-of-file marker in previous versions.

Abstract:
---------

Data::Locations is a virtual file manager which allows you to write and
read data (text and binary) to and from virtual files (think of bubbles).
Moreover, this manager allows you to (recursively) define "magic" insertion
points in these virtual files (bubbles inside other bubbles) which can be
filled in (inflated) later (through a "straw", i.e., the object's reference),
at any convenient time and in any order you like. Since this software acts
purely in memory, there is no slowing down through costly file input/output
(i.e., no temporary files).

Legal issues:
-------------

This package with all its parts is

Copyright (c) 1997, 1998, 1999 by Steffen Beyer.
All rights reserved.

This package is free software; you can redistribute it and/or
modify it under the same terms as Perl itself, i.e., under the
terms of the "Artistic License" or the "GNU General Public License".

Please refer to the files "Artistic.txt" and "GNU_GPL.txt" in
this distribution for details!

Author's note:
--------------

I would be very pleased over *ANY* kind of feedback, questions,
suggestions, donations ;-) and so on, since unfortunately none of
you lazy bums ;-) (for exceptions to this see the "CREDITS.txt"
file in this distribution!) hardly ever writes me.

This feedback is essential for me in order to know wether this
module is useful, to estimate how many people use it and for
what (essential to assess the potential impact an incompatible
change may have, for instance), where its problems and weak-
nesses lie, what should be improved, what additional features
would be useful, etc.

Even e-mail with an empty body and just a subject line such as
"I'm using Data::Locations" would help!

Thank you very much in advance!

In any case, I hope you will find this module beneficial,
share and enjoy!

Yours sincerely,
--
    Steffen Beyer <[email-masked]>
    http://www.engelschall.com/u/sb/whoami/
    http://www.engelschall.com/u/sb/download/
    http://www.perl.com/CPAN/authors/id/STBEY/
    http://www.oreilly.de/catalog/perlmodger/bnp/